Home
last modified time | relevance | path

Searched refs:RUSTC (Results 1 – 8 of 8) sorted by relevance

/linux-6.14.4/scripts/
Drust_is_available.sh66 if ! command -v "$RUSTC" >/dev/null; then
68 echo >&2 "*** Rust compiler '$RUSTC' could not be found."
85 LC_ALL=C "$RUSTC" --version 2>/dev/null
89 echo >&2 "*** Running '$RUSTC' to check the Rust compiler version failed with"
102 echo >&2 "*** Running '$RUSTC' to check the Rust compiler version did not return"
114 echo >&2 "*** Rust compiler '$RUSTC' is too old."
270 rustc_sysroot=$("$RUSTC" $KRUSTFLAGS --print sysroot)
DKconfig.include68 rustc-version := $(shell,$(srctree)/scripts/rustc-version.sh $(RUSTC))
69 rustc-llvm-version := $(shell,$(srctree)/scripts/rustc-llvm-version.sh $(RUSTC))
77 rustc-option = $(success,trap "rm -rf .tmp_$$" EXIT; mkdir .tmp_$$; $(RUSTC) $(1) --crate-type=rlib…
DMakefile.compiler84 rustc-option = $(call __rustc-option, $(RUSTC),\
/linux-6.14.4/Documentation/translations/zh_CN/kbuild/
Dkbuild.rst74 在编译内置代码时,传递给 $(RUSTC) 的额外选项。
78 用于 $(RUSTC) 的额外模块特定选项。
/linux-6.14.4/rust/
DMakefile41 libmacros_name := $(shell MAKEFLAGS= $(RUSTC) --print file-names --crate-name macros --crate-type p…
47 rustc_sysroot := $(shell MAKEFLAGS= $(RUSTC) $(rust_flags) --print sysroot)
48 rustc_host_target := $(shell $(RUSTC) --version --verbose | grep -F 'host: ' | cut -d' ' -f2)
377 quiet_cmd_rustc_library = $(if $(skip_clippy),RUSTC,$(RUSTC_OR_CLIPPY_QUIET)) L $@
380 $(if $(skip_clippy),$(RUSTC),$(RUSTC_OR_CLIPPY)) \
/linux-6.14.4/
DMakefile522 RUSTC = rustc macro
608 RUSTC_OR_CLIPPY_QUIET := RUSTC
609 RUSTC_OR_CLIPPY = $(RUSTC)
619 export RUSTC RUSTDOC RUSTFMT RUSTC_OR_CLIPPY_QUIET RUSTC_OR_CLIPPY BINDGEN
706 RUSTC_VERSION_TEXT = $(subst $(pound),,$(shell $(RUSTC) --version 2>/dev/null))
/linux-6.14.4/Documentation/kbuild/
Dkbuild.rst71 Additional options for $(RUSTC) when used to compile
76 Additional module specific options to use for $(RUSTC).
Dmakefiles.rst1172 $(RUSTC) compiler flags
1212 $(RUSTC) options specific for built-in
1218 Options for $(RUSTC) when building modules
1221 are used for $(RUSTC).